Download PDF of receivement receipt
Download PDF of receivement receipt
Required permissions: RECEIVEMENT
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+receivementUidstringRequiredPattern:
Reference to a receivement of a purchase order.
^[A-Za-z0-9-_]+Responses
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
contentstringRequired
base64 encoded
contentTypestringRequired
mime type
filenamestringRequired
400
Bad Request
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"content": "text",
"contentType": "text",
"filename": "text"
}Last updated
Was this helpful?

